class Api::V1::Users::FeedbacksController < Api::V1::BaseController 

  before_action :load_observe_user
  before_action :check_auth_for_observe_user

  def create
    @result = Api::V1::Users::Feedbacks::CreateService.call(@observe_user, feedback_params)
    return render_error("反馈意见创建失败.") if @result.nil?
    return render_ok
  end

  private 
  def feedback_params 
    params.permit(:content)
  end
end